Class | Irc::DBHash
In: | lib/rbot/dbhash.rb
Parent: | Object

DBHash is for tying a hash to disk (using bdb). Call it with an identifier, for example "mydata". It‘ll look for mydata.db, if it exists, it will load and reference that db. Otherwise it‘ll create and empty db called mydata.db

### Methods

create_db method_missing new open_db

### Public Class methods

create_db(name)
new(bot, key, absfilename=false)

absfilename: | use `key` as an actual filename, don‘t prepend the bot‘s config path and don‘t append ".db"

open_db(name)

### Public Instance methods

method_missing(method, *args, &block)

[Validate]